{
  "request_no": "PR-20251014-002",
  "job_no": "TKG-25000P",
  "created_at": "2025-10-14T06:54:44.585437",
  "materials": [
    {
      "material_id": 5552,
      "description": "SIGHT GLASS, FLG, 150LB",
      "category": "FLANGE",
      "size": "1\"",
      "material_grade": "SS",
      "quantity": 6,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5558,
      "description": "SIGHT GLASS, FLG, 150LB",
      "category": "FLANGE",
      "size": "1/2\"",
      "material_grade": "SS",
      "quantity": 5,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5563,
      "description": "SIGHT GLASS, FLG, 150LB",
      "category": "FLANGE",
      "size": "2\"",
      "material_grade": "SS",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 5566,
      "description": "STRAINER, FLG, 150LB",
      "category": "FLANGE",
      "size": "2\"",
      "material_grade": "-",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    }
  ],
  "grouped_materials": [
    {
      "group_key": "SIGHT GLASS, FLG, 150LB|1\"|undefined|SS",
      "material_ids": [
        5552
      ],
      "description": "SIGHT GLASS, FLG, 150LB",
      "category": "FLANGE",
      "size": "1\"",
      "material_grade": "SS",
      "quantity": 6,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "group_key": "SIGHT GLASS, FLG, 150LB|1/2\"|undefined|SS",
      "material_ids": [
        5558
      ],
      "description": "SIGHT GLASS, FLG, 150LB",
      "category": "FLANGE",
      "size": "1/2\"",
      "material_grade": "SS",
      "quantity": 5,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "group_key": "SIGHT GLASS, FLG, 150LB|2\"|undefined|SS",
      "material_ids": [
        5563
      ],
      "description": "SIGHT GLASS, FLG, 150LB",
      "category": "FLANGE",
      "size": "2\"",
      "material_grade": "SS",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "group_key": "STRAINER, FLG, 150LB|2\"|undefined|-",
      "material_ids": [
        5566
      ],
      "description": "STRAINER, FLG, 150LB",
      "category": "FLANGE",
      "size": "2\"",
      "material_grade": "-",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    }
  ]
}